Bug 239036 - Kerning weird on some character combos
Kerning weird on some character combos
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: dejavu-lgc-fonts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 11:38 EDT by Paul W. Frields
Modified: 2008-04-06 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-06 12:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A page of a DocBook document illustrating this problem. (119.87 KB, image/png)
2007-05-04 11:38 EDT, Paul W. Frields
no flags Details

  None (edit)
Description Paul W. Frields 2007-05-04 11:38:30 EDT
Description of problem:
When using yelp to read documents on my Rawhide box, I see some problems in
character kerning.  Using a different font for Applications seems to "cure" this
problem, so I'm guessing it's a DejaVu problem.

Version-Release number of selected component (if applicable):
dejavu-lgc-fonts-2.15-1

How reproducible:
Every time

Steps to Reproduce:
1.  Open a DocBook XML document in yelp containing e.g. "offers" or "fill"/"file".
  
Actual results:
Illegible words

Expected results:
Happiness.

Additional info:
Comment 1 Paul W. Frields 2007-05-04 11:38:30 EDT
Created attachment 154132 [details]
A page of a DocBook document illustrating this problem.
Comment 2 Matthias Clasen 2007-05-04 11:51:33 EDT
The first one is a known problem with gecko's (mis-)handling of ligatures, the
other 2 look ok to me.

There is a patch by Behdad in the FC6/RHEL5 firefox package that fixes the
ligature problem for firefox 1.5.x, but nobody ported the patch to 2.0 yet :-(
Comment 3 Bug Zapper 2008-04-03 20:29:54 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Paul W. Frields 2008-04-06 12:33:02 EDT
This is no longer a problem in Fedora 8.

Note You need to log in before you can comment on or make changes to this bug.